# Generated by Django 2.2.16 on 2021-11-01 13:26

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('common', '0005_auto_20211025_1448'),
        ('layouts', '0015_auto_20211028_1148'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='area',
            name='device',
        ),
        migrations.RemoveField(
            model_name='area',
            name='region',
        ),
        migrations.AddField(
            model_name='area',
            name='attachment_type',
            field=models.CharField(choices=[('none', 'None'), ('device', 'Device'), ('camera', 'Camera')], default='none', max_length=50),
        ),
        migrations.AddField(
            model_name='area',
            name='figure_type',
            field=models.CharField(choices=[('polygon', 'Polygon'), ('circle', 'Circle')], default='polygon', max_length=50),
        ),
        migrations.CreateModel(
            name='AreaPolygon',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Создано')),
                ('updated_at', models.DateTimeField(auto_now=True, null=True, verbose_name='Обновлено')),
                ('polygon', django.contrib.gis.db.models.fields.PolygonField(srid=4326)),
                ('area', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='layouts.Area')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='AreaDevice',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Создано')),
                ('updated_at', models.DateTimeField(auto_now=True, null=True, verbose_name='Обновлено')),
                ('point', django.contrib.gis.db.models.fields.PointField(srid=4326)),
                ('area', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='layouts.Area')),
                ('device', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='common.Device')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='AreaCircle',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Создано')),
                ('updated_at', models.DateTimeField(auto_now=True, null=True, verbose_name='Обновлено')),
                ('point', django.contrib.gis.db.models.fields.PointField(srid=4326)),
                ('radius', models.FloatField(default=5.0)),
                ('area', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='layouts.Area')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
